-- Copyright (c) 2025 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local SERVER_CNT = 3

local result = {}

for i = 1, SERVER_CNT do
    if ReqBody.NameServers and ReqBody.NameServers[i] then
        result[i] = false
        goto continue
    elseif ReqBody.StaticNameServers and ReqBody.StaticNameServers[i] then
        result[i] = false
        goto continue
    end
    result[i] = true
    ::continue::
end

return result